# Deactivate webhook subscription **POST /api/v1/webhooks/subscriptions/{subscriptionId}/deactivate** Deactivates a webhook subscription owned by the authenticated API key owner. ## Servers - http://api.example.com: http://api.example.com () ## Parameters ### Headers - **X-API-KEY** (string) Public API key issued from the Lumepay API key management flow. - **X-API-SECRET** (string) API secret paired with the public API key. ### Path parameters - **subscriptionId** (string) Webhook subscription id returned when the subscription was created. ## Responses ### 200 Webhook subscription deactivated successfully #### Body: application/json (object) - **id** (string) - **name** (string) - **targetUrl** (string) - **status** (string) - **events** (array[object]) - **verifiedAt** (string(date-time)) - **createdAt** (string(date-time)) - **updatedAt** (string(date-time)) ### 400 Request validation failed #### Body: application/json (object) - **code** (integer(int32)) - **message** (string) - **httpStatus** (integer(int32)) - **requestId** (string) - **timestamp** (string(date-time)) - **errors** (array[object]) ### 404 Resource was not found for the authenticated API key owner #### Body: application/json (object) - **code** (integer(int32)) - **message** (string) - **httpStatus** (integer(int32)) - **requestId** (string) - **timestamp** (string(date-time)) - **errors** (array[object]) ### 403 Authenticated API key is not allowed to perform this action #### Body: application/json (object) - **code** (integer(int32)) - **message** (string) - **httpStatus** (integer(int32)) - **requestId** (string) - **timestamp** (string(date-time)) - **errors** (array[object]) ### 500 Unexpected server error #### Body: application/json (object) - **code** (integer(int32)) - **message** (string) - **httpStatus** (integer(int32)) - **requestId** (string) - **timestamp** (string(date-time)) - **errors** (array[object]) ### 401 API key authentication failed #### Body: application/json (object) - **code** (integer(int32)) - **message** (string) - **httpStatus** (integer(int32)) - **requestId** (string) - **timestamp** (string(date-time)) - **errors** (array[object]) [Powered by Bump.sh](https://bump.sh)